Bug 920 - man for vzctl about numfile should be fixed
man for vzctl about numfile should be fixed
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzctl
unspecified
Other Other
: P2 normal
Assigned To: Kir Kolyshkin
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-23 04:28 EDT by CoolCold
Modified: 2015-04-01 14:42 EDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description CoolCold 2008-06-23 04:28:09 EDT
Denis Lunev said:
а не надо ставить барьер == лимит
оно выделяет квантами до барьера и переходит к честной выдаче после
квант от 5 до 10 дескрипторов на процесс

but in man one can see:
--numfile items[:items]
           Maximum number of open files.  Setting the barrier and the limit to different values does not make practical sense.
Comment 1 Den Lunev 2008-06-23 04:36:28 EDT
actually, barrier for NUMFILE has sense for setting thresholds for NUMFILE precharging to each process (speedup file opening).

More precisely, the system distribute barrier(UB_NUMFILE)/8 of such files.
Comment 2 Kir Kolyshkin 2008-08-27 07:23:43 EDT
Here's the current definition, from http://wiki.openvz.org/numfile:

> Number of open files.

> The barrier should be set equal to the limit. The configuration of this
> parameter doesn't affect security and stability of the whole system or
> isolation between containers. Its configuration affects functionality
> and resource shortage reaction of applications in the given container only. 

If this one is incorrect or incomplete, let's modify it first and then I'll copy-paste that to the man page.

Den, could you take a look at wiki please?
Comment 3 Pavel Emelyanov 2008-08-27 07:30:23 EDT
> If this one is incorrect or incomplete,

Neither. Such a barrier behaviour was done for performance improvements and changing the barrier was never supposed to be a blessed way for a *user* to tune its VEs - it was purely for debugging/testing purposes.

But I agree, that we should reflect this in man pages somehow.
Comment 4 Kir Kolyshkin 2008-09-11 10:02:41 EDT
Pavel, please suggest your text, or just edit it in wiki and let me know.
Comment 5 Kir Kolyshkin 2008-10-01 12:01:51 EDT
Pavel, please suggest your text, or just edit it in wiki and let me know.
Comment 6 Pavel Emelyanov 2008-10-01 12:40:08 EDT
Wiki page updated
Comment 7 Kir Kolyshkin 2008-10-24 13:38:18 EDT
So, is the man page correct then it says "Setting the barrier and the limit to
different values does not make practical sense"?
Comment 8 Pavel Emelyanov 2008-10-24 13:43:24 EDT
(In reply to comment #7)
> So, is the man page correct then it says "Setting the barrier and the limit to
> different values does not make practical sense"?
> 

Close enough.
Comment 9 Kir Kolyshkin 2009-09-30 06:30:19 EDT
OK maybe in the man page we could write something like

"Setting the barrier to 0 effectively disables pre-charging optimization for this beancounter in the kernel, which leads to the held value being precise but could slightly degrade file open performance."

What do you think?
Comment 10 Kir Kolyshkin 2009-11-06 08:14:53 EST
Fixed in GIT:
http://git.openvz.org/?p=vzctl;a=commit;h=babb31e796bea35263bd1e8b07df610ff8842fae

Will be available in vzctl >= 3.0.24
Comment 11 Sergey Bronnikov 2015-04-01 14:42:32 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.